#
# spec file for package libvoikko
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libvoikko
Version:        3.7.1
Release:        4.4
Summary:        Spellchecker and Hyphenator for Finnish Language
License:        GPL-2.0+
Group:          Productivity/Text/Spell
Url:            http://voikko.puimula.org
Source0:        http://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz
Source1:        http://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz.asc
Source2:        %{name}.keyring
Source99:       baselibs.conf
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  libmalaga-devel
BuildRequires:  pkg-config
BuildRequires:  python
BuildRequires:  python-xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Voikko is a Finnish spellchecker and hyphenator based on Malaga and
Suomi-Malaga.

%package -n libvoikko1
Summary:        Spellchecker and Hyphenator for Finnish Language
Group:          System/Libraries
Requires:       malaga-suomi

%description -n libvoikko1
Voikko is a Finnish spellchecker and hyphenator based on Malaga and
Suomi-Malaga.

%package devel
Summary:        Spellchecker and Hyphenator for Finnish Language
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libvoikko1 = %{version}

%description devel
Voikko is a Finnish spellchecker and hyphenator based on Malaga and
Suomi-Malaga.

%package -n voikkospell
Summary:        Spellchecker and Hyphenator for Finnish Language
Group:          Productivity/Text/Spell
Requires:       libvoikko1 = %{version}

%description -n voikkospell
Voikko is a Finnish spellchecker and hyphenator based on Malaga and
Suomi-Malaga.

%prep
%setup -q

%build
%configure \
	--with-pic \
	--disable-static \
	--with-dictionary-path=%{_datadir}/malaga
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libvoikko1 -p /sbin/ldconfig

%postun -n libvoikko1 -p /sbin/ldconfig

%files -n libvoikko1
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_libdir}/*.so.*

%files -n voikkospell
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man?/*.*

%files devel
%defattr(-,root,root)
%{_includedir}/libvoikko
%{_libdir}/*.so
%{_libdir}/pkgconfig/libvoikko.pc

%changelog
* Wed Aug  5 2015 mpluskal@suse.com
- Add gpg signature
* Thu Nov 13 2014 tchvatal@suse.com
- Version bump to 3.7.1:
  * New dictionary format 5 for VFST.
* Sun Jan 26 2014 tchvatal@suse.com
- Version bump to 3.7:
  * Many bugfixes. See ChangeLog
  * Upstream moved location so update accordingly.
* Tue Feb 28 2012 sbrabec@suse.cz
- Upgrade to version 3.4.1:
  * Many new features, improvements and bug fixes. See ChangeLog
    for details.
  * Handle embedded null input characters in Python and Java
    interfaces. (bnc#699707)
* Mon Jan 30 2012 jengelh@medozas.de
- Ensure pkgconfig symbols are present
* Mon Jan 30 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Tue Dec 27 2011 idonmez@suse.com
- Fix wrong size parameter in memset call
* Wed Nov 23 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Feb 22 2011 vuntz@opensuse.org
- Add missing baselibs.conf.
* Mon Jun 22 2009 pmladek@suse.cz
- Updated to version 2.1:
  * Add option for accepting unfinished paragraphs.
  * Add option VOIKKO_OPT_HYPHENATE_UNKNOWN_WORDS.
  * Add option VOIKKO_OPT_ACCEPT_BULLETED_LISTS_IN_GC.
  * Add support for environment variable VOIKKO_DICTIONARY.
  * Disable character case checks completely within quotations.
  * Disable character case checks if sentence contains a tab character.
  * Disable checks for paragraphs that contain only an URL or some other
    non-standard text.
  * Read replacement suggestions from data/autocorrect/fi_FI.xml.
  * Do not try to check character case for sentences that have been written
    fully in upper case.
  * Allow sentences to start with a digit.
  * Refactoring and porting to C++.
- Added gcc-c++ python python-xml into BuildRequires
- Added libvoikko-2.1-ac-macro-dir.diff, fixed autoreconf to run (sf#2810258)
* Tue Feb  3 2009 crrodriguez@suse.de
- remove "la" files
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Mon Sep  8 2008 sbrabec@suse.cz
- Updated to version 2.0:
  * New API for identifying sentences from text paragraphs.
  * New API for paragraph based grammar checking.
  * New test program voikkogc for testing grammar checker and
    related functionality.
  * Option VOIKKO_OPT_ENCODING has been deprecated.
* Mon Aug  4 2008 ro@suse.de
- do not require non-existent base package in voikkospell
* Fri Aug  1 2008 ro@suse.de
- fix requires for debuginfo package
* Fri Jul 25 2008 sbrabec@suse.cz
- New SuSE package based on spec file from Sami Vento (bnc#394355).
